API Reference
List consolidation proposals (bounded)
GET
/
api
/
v1
/
proposals
List consolidation proposals (bounded)
curl --request GET \
--url https://api.3ngram.ai/api/v1/proposals \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.3ngram.ai/api/v1/proposals"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.3ngram.ai/api/v1/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 4503599627370495,
"proposals": [
{
"createdAt": "2023-11-07T05:31:56Z",
"decidedAt": "2023-11-07T05:31:56Z",
"fromId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rationale": "<string>",
"similarity": 123,
"toId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Authorizations
apiKeysessionBearer
Query Parameters
Available options:
proposed, applied, rejected Required range:
1 <= x <= 100Supersede a memory with a corrected successor (mirrors the MCP revise tool)
Previous
Accept a consolidation proposal
Next
⌘I
List consolidation proposals (bounded)
